diff --git a/src/bin/pg_dump/pg_backup_archiver.c b/src/bin/pg_dump/pg_backup_archiver.c
index d3f85d6..dd5f543 100644
--- a/src/bin/pg_dump/pg_backup_archiver.c
+++ b/src/bin/pg_dump/pg_backup_archiver.c
@@ -3083,6 +3083,7 @@ _tocEntryRestorePass(TocEntry *te)
 		strcmp(te->desc, "DEFAULT ACL") == 0)
 		return RESTORE_PASS_ACL;
 	if (strcmp(te->desc, "EVENT TRIGGER") == 0 ||
+		strcmp(te->desc, "COMMENT") == 0 ||
 		strcmp(te->desc, "MATERIALIZED VIEW DATA") == 0)
 		return RESTORE_PASS_POST_ACL;
 	return RESTORE_PASS_MAIN;
diff --git a/src/bin/pg_dump/pg_backup_archiver.h b/src/bin/pg_dump/pg_backup_archiver.h
index 67f3474..8aac08f 100644
--- a/src/bin/pg_dump/pg_backup_archiver.h
+++ b/src/bin/pg_dump/pg_backup_archiver.h
@@ -224,7 +224,7 @@ typedef enum
 {
 	RESTORE_PASS_MAIN = 0,		/* Main pass (most TOC item types) */
 	RESTORE_PASS_ACL,			/* ACL item types */
-	RESTORE_PASS_POST_ACL		/* Event trigger and matview refresh items */
+	RESTORE_PASS_POST_ACL		/* Event trigger and matview refresh items, and comments */
 
 #define RESTORE_PASS_LAST RESTORE_PASS_POST_ACL
 } RestorePass;
